Heatmaps
GET https://heymetrica.com/api/heatmaps/
curl --request GET \
--url 'https://heymetrica.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://heymetrica.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Opzionale Intero | |
| user_id | Opzionale Intero | |
| is_enabled | Opzionale Intero | Valori consentiti: 0, 1 |
| search | Opzionale Stringa | La stringa di ricerca. |
| search_by | Opzionale Stringa | Per quale campo stai cercando. Valori consentiti: name, path. |
| datetime_field | Opzionale Stringa | Valori consentiti: datetime, last_datetime |
| datetime_start | Opzionale Stringa | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opzionale Stringa | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opzionale Stringa | Per quale campo ordinare i risultati. Valori consentiti: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime. |
| order_type | Opzionale Stringa | L'ordinamento dei risultati. Valori consentiti: ASC per ordine crescente, e DESC per ordine decrescente. |
| page | Opzionale Intero | Il numero di pagina da cui vuoi i risultati. Predefinito 1. |
| results_per_page | Opzionale Intero | Quanti risultati vuoi per pagina. Valori consentiti: 10, 25, 50, 100, 250, 500, 1000. Predefinito 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-11-08 05:31:46",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://heymetrica.com/api/heatmaps?page=1",
"last": "https://heymetrica.com/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://heymetrica.com/api/heatmaps?page=1"
}
}
GET https://heymetrica.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-11-08 05:31:46",
"last_datetime": null
}
}
GET https://heymetrica.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| snapshot_type | Opzionale Stringa | Valori consentiti: desktop, tablet, mobile |
| type | Opzionale Stringa | Valori consentiti: clicks, scrolls |
| start_date | Opzionale Stringa | Data di inizio in formato Y-m-d. |
| end_date | Opzionale Stringa | Data di fine in formato Y-m-d. |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://heymetrica.com/api/heatmaps
| Parametri | Dettagli | Descrizione |
|---|---|---|
| website_id | Obbligatorio Intero | |
| name | Obbligatorio Stringa | |
| path | Opzionale Stringa | |
| is_enabled | Opzionale Intero | Valori consentiti: 0, 1 |
curl --request POST \
--url 'https://heymetrica.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://heymetrica.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-11-08 05:31:46",
"last_datetime": null
}
}
POST https://heymetrica.com/api/heatmaps/{heatmap_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Opzionale Stringa | |
| is_enabled | Opzionale Intero | Valori consentiti: 0, 1 |
curl --request POST \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-11-08 05:31:46",
"last_datetime": "2026-11-08 05:31:46"
}
}
DELETE https://heymetrica.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://heymetrica.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \